org.apache.xmlbeans.impl.schema

## Class StscComplexTypeResolver

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.StscComplexTypeResolver

    public class StscComplexTypeResolver
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StscComplexTypeResolver()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Group` `getContentModel(ComplexRestrictionType parseRest)`
`static Group` `getContentModel(ComplexType parseCt)`
`static Group` `getContentModel(ExtensionType parseExt)`
`static void` `resolveComplexType(SchemaTypeImpl sImpl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StscComplexTypeResolver

    public StscComplexTypeResolver()

### Method Detail

#### getContentModel

    public static Group getContentModel(ComplexType parseCt)

#### getContentModel

    public static Group getContentModel(ComplexRestrictionType parseRest)

#### getContentModel

    public static Group getContentModel(ExtensionType parseExt)

#### resolveComplexType

    public static void resolveComplexType(SchemaTypeImpl sImpl)